Summary:	Kernel message trapping daemons.
Name:		klogd
Group:		System Environment/Daemons
License:	GPL
Version:	1.4.1
Release:	1
Source0:	http://www.infodrom.org/projects/sysklogd/download/sysklogd-%{version}.tar.gz
Patch0:		klogd-1.4.1-Makefile-gd-2.diff
Patch1:		klogd-1.4.1-newline-gd-1.diff
Patch2:		klogd-1.4.1-module.h-fix-from-debian-gd-1.diff
Patch3:		klogd-1.4.1-use-SOCK_STREAM-gd-1.diff
Prereq:		fileutils, /sbin/chkconfig
Conflicts:	sysklogd
Requires:	logrotate, syslog-ng
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The klogd package contains the klogd system utility 
which provides support for kernel logging. Klogd runs as
a daemon (background process) and logs kernel messages to different
places, like sendmail logs, security logs, error logs, etc.

%files
  %defattr(-,root,root)
  %doc ANNOUNCE README* NEWS INSTALL
  %doc %{_mandir}/man?/*
  %attr(0500,root,root)		%{_root_sbindir}/klogd

%prep
%setup -q -n sysklogd-%{version}
%patch0 -p1 -R
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
  make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

  %makeinstall BINDIR=$RPM_BUILD_ROOT/%{_root_sbindir} MANDIR=$RPM_BUILD_ROOT/%{_mandir}

 strip $RPM_BUILD_ROOT/%{_root_sbindir}/* 

%preun
  if [ $1 = 0 ]; then
	/sbin/chkconfig --del klog
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.4.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
